#!/bin/sh

# Parameter 1 is either noad or autocutter
# Parameter 2 is the Recording that was Scanned or the new cutted Recording

##########################################################################
#
# Please take a look at postaction2.sh for a more advanced features ;)
#
##########################################################################

# This is only a couple of Examples of the Possibilities.


case "$1" in
  noad)
	# Add to repack2mpeg queue (no idea if this works - just an example
	# repack2mpeg2 don't need cutted recordings to work - see ML for more)
	printf "cat true 1 %s\n" $2 >> /video/repackmpeg2/xform.lst
    ;;
  autocutter)
	Queued=no

        # add "The Simpsons" to vdr2divx Queue and Convert as soon as possible
        [ $(echo $2|grep -i "the simpsons") ] && Queued=yes && printf "%s\n" $2 >>/etc/vdr/vdrconvert/vdr2divx

	# Add Deep Space Nine to vdr2dvd Queue - you might have to define that 
	# "grep" selection a bit more precise.
	[ $Queued = no ] && if [ $(echo $2|grep -i "deep space nine") ]; then
	  Queued=yes
	  printf "%s " $2 >>/etc/vdr/vdrconvert/vdr2dvd

	  # For every 4th Recording Create a new DVD :)
	  [ $(cat /etc/vdr/vdrconvert/vdr2dvd|wc -w) -ge 4 ] && printf "\n" >>/etc/vdr/vdrconvert/vdr2dvd
	fi

	# .... and so on ....
    ;;
  *)
    logger "$(basename $0) : ERROR - unknown state: $1"
    ;;
esac
