#!/bin/bash

# Set Defaults
[ -z $DEBUG ] && DEBUG=no
[ -z $DEBUGMSG ] && DEBUGMSG=no
[ -z $FINISHEDMSG ] && FINISHEDMSG=yes
[ -z $VDRROOT ] && VDRROOT=/video
[ -z $SVDRPSEND ] && SVDRPSEND=svdrpsend.pl
[ -z $DELCUTREC ] && DELCUTREC=no
[ -z $CUTRECPRCT ] && CUTRECPRCT=60

[ -z $USEVDRCUTTER2 ] && USEVDRCUTTER2=no
[ -z $VDRCUTTER2 ] && VDRCUTTER2=vdrcutter2
[ -z $CUTFREESPACEPCT ] && CUTFREESPACEPCT=100

[ -z "$ACSTART_MSG" ] && ACSTART_MSG="AutoCutter Start for %s"
[ -z "$ACOKSTART_MSG" ] && ACOKSTART_MSG="AutoCutter : Cutting has started for %s"
[ -z "$ACFAILED_MSG" ] && ACFAILED_MSG="AutoCutter FAILED for %s"
[ -z "$ACFINISHED_MSG" ] && ACFINISHED_MSG="AutoCutter Finished for %s"
[ -z "$ACWRONGREC_MSG" ] && ACWRONGREC_MSG="Wrong Recording Loaded - cancel Cutting !!!"
[ -z "$ACNOMARKS_MSG" ] && ACNOMARKS_MSG="Error no marks.vdr found for %s"
[ -z "$ACNOTENOUGHSPACE" ] && ACNOTENOUGHSPACE="Not enough Free Space for %s"

# Read environment
. ./vdrconvert.env

[ "$DEBUG" = "yes" ] && set -x

# Read Functions
. ./autocutter_functions.sh

# Read Queue management functions (works with autocutter.sh and noad.sh !)
. ./queue_functions.sh

queue_management $*

