#!/bin/bash

# Set defaults
[ -z $DEBUG ] && DEBUG=no
[ -z $DEBUGMSG ] && DEBUGMSG=no
[ -z $FINISHEDMSG ] && FINISHEDMSG=yes
[ -z $SVDRPSEND ] && SVDRPSEND=svdrpsend.pl
[ -z $USEAUTOCUT ] && USEAUTOCUT=yes
[ -z "$AUTOCUTQUEUE" ] && AUTOCUTQUEUE=/etc/vdr/vdrconvert/autocutter
[ -z "$NOAD" ] && NOAD=/usr/local/bin/noad
[ -z "$NOADOPTS" ] && NOADOPTS="-v nice"

[ -z "$NOADRUNNING_MSG" ] && NOADRUNNING_MSG="NoAD Scan is already running!"
[ -z "$NOADSTART_MSG" ] && NOADSTART_MSG="NoAD Scan is now starting for %s"
[ -z "$NOADFINISHED_MSG" ] && NOADFINISHED_MSG="NoAD Scan Finished for %s"

# Read environment
. ./vdrconvert.env

[ "$DEBUG" = "yes" ] && set -x

# Read Functions
. ./noad_functions.sh

# Read Queue management functions (works with autocutter.sh and noad.sh !)
. ./queue_functions.sh

queue_management $*

