# Functions for noad.sh

function main_program() {
	
	RUNNING="`ps -A | grep -w 'noad' | wc -l`"

	if [ $RUNNING -gt 2 ] ; then
	    echo "NoAD Scan is already running!" >>$LOGFILE
	    [ ! "$NOADRUNNING_MSG" = "NO" ] && printf "$NOADRUNNING_MSG" "$RecNameMSG" |xargs $SVDRPSEND MESG 

	    while [ $RUNNING -gt 2 ]
	    do
		sleep 10
		RUNNING="`ps -A | grep -w 'noad' | wc -l`"
	    done
    	fi

	[ ! "$NOADSTART_MSG" = "NO" ] && printf "$NOADSTART_MSG" "$RecNameMSG" |xargs $SVDRPSEND MESG 

	echo $NOAD --statisticfile=/tmp/noad_out.log $NOADOPTS "$CurJob" >>$LOGFILE
	rm -f /tmp/noad_out.log
	$NOAD --statisticfile=/tmp/noad_out.log $NOADOPTS "$CurJob" >>$LOGFILE 2>&1
	cat /tmp/noad_out.log >>$LOGFILE

	# Add to Autocut Queue
	[ "$USEAUTOCUT" = "yes" ] && printf "$CurJob " >>$AUTOCUTQUEUE

	printf "\n`date` : NoAD Finished for $RecName\n" >>$LOGFILE

	[ ! "$NOADFINISHED_MSG" = "NO" ] && printf "$NOADFINISHED_MSG" "$RecNameMSG" |xargs $SVDRPSEND MESG 

        # Postaction - what should be done after Cutting !
        [ ! -z $AC_POSTACTION ] && $AC_POSTACTION noad $CurJob

}

