#!/bin/sh

# Should we run in the Background ?
if [ "$1" = "BG" ]; then
  echo "$0 MESG >/var/log/undelete_rec.log 2>&1"|at now >/dev/null 2>&1
  printf "Undelete was Started in the Background ...\n"
  exit 0
fi

[ ! -f vdrconvert.env ] && cd /etc/vdr/vdrconvert

# Read environment
. ./vdrconvert.env

printf "Searching for '*.del' Recordings and Undeleting them ...\n"

find $VDRROOT/ -type d -name "*.del" -print | while read i ; do
  printf "\nUndeleting %s\n" "$i"
  mv $i $(echo $i| sed -e 's/\.del$/\.rec/g')
done

[ "$1" = "MESG" ] && $SVDRPSEND MESG "Finished Undeleting Recordings."

printf "\nFinished.\n"
